
static inline kgiu32 I2CReadBits(struct chipset_private* private) {
	return pm2_RD(private, 0x5810);
}

static inline void I2CWriteBits(struct chipset_private* private, kgiu32 bits) {
	int x;
	pm2_WR(private, 0x5810, bits);
	for(x=0;x<100;x++) I2CReadBits(private);
}

static inline void I2C_LL_dta_high(void* private) { 
	I2CWriteBits(private,I2CReadBits(private)| 4); 
}
static inline void I2C_LL_dta_low (void* private) { 
	I2CWriteBits(private,I2CReadBits(private)&~4); 
}
static inline void I2C_LL_clk_high(void* private) { 
	I2CWriteBits(private,I2CReadBits(private)| 8); 
}
static inline void I2C_LL_clk_low (void* private) { 
	I2CWriteBits(private,I2CReadBits(private)&~8); 
}
static inline int  I2C_LL_dta_read(void* private) { 
	return I2CReadBits(private)&1; 
}

